Package com.sun.mail.gimap

## Class GmailProvider

- java.lang.Object
- - javax.mail.Provider
  - - com.sun.mail.gimap.GmailProvider

    public class GmailProvider
    extends Provider

The Gmail IMAP protocol provider.

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.mail.Provider

`Provider.Type`

### Constructor Summary

Constructors
`GmailProvider()`

### Method Summary

### Methods inherited from class javax.mail.Provider

`getClassName, getProtocol, getType, getVendor, getVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GmailProvider

    public GmailProvider()